pandoc-2.5: Conversion between markup formats

Copyright | Copyright (C) 2014 Matthew Pickering
License | GNU GPL, version 2 or above
Maintainer | Matthew Pickering <matthewtpickering@gmail.com>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Txt2Tags

Description

Conversion of txt2tags formatted plain text to `Pandoc` document.

Synopsis

- readTxt2Tags :: PandocMonad m => ReaderOptions -> Text -> m Pandoc
- getT2TMeta :: PandocMonad m => m T2TMeta
- data T2TMeta = T2TMeta {
  - date :: String
  - mtime :: String
  - infile :: FilePath
  - outfile :: FilePath
  }

# Documentation

readTxt2Tags :: PandocMonad m => ReaderOptions -> Text -> m Pandoc Source #

Read Txt2Tags from an input string returning a Pandoc document

getT2TMeta :: PandocMonad m => m T2TMeta Source #

Get the meta information required by Txt2Tags macros

data T2TMeta Source #

An object for the T2T macros meta information the contents of each field is simply substituted verbatim into the file

Constructors

T2TMeta |

Fields

- date :: String

  Current date

- mtime :: String

  Last modification time of infile

- infile :: FilePath

  Input file

- outfile :: FilePath

  Output file

Instances

Show T2TMeta Source # |
Instance details Defined in Text.Pandoc.Readers.Txt2Tags Methods showsPrec :: Int -> T2TMeta -> ShowS Source # show :: T2TMeta -> String Source # showList :: [T2TMeta] -> ShowS Source #
Default T2TMeta Source # |
Instance details Defined in Text.Pandoc.Readers.Txt2Tags Methods def :: T2TMeta #